[ MDVSA-2014:045 ] libtar

2014-03-03T00:00:00
ID SECURITYVULNS:DOC:30344
Type securityvulns
Reporter Securityvulns
Modified 2014-03-03T00:00:00

Description

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1


Mandriva Linux Security Advisory MDVSA-2014:045 http://www.mandriva.com/en/support/security/


Package : libtar Date : February 20, 2014 Affected: Business Server 1.0, Enterprise Server 5.0


Problem Description:

A directory traversal attack was reported against libtar, a C library for manipulating tar archives. The application does not validate the filenames inside the tar archive, allowing to extract files in arbitrary path. An attacker can craft a tar file to override files beyond the tar_extract_glob and tar_extract_all prefix parameter (CVE-2013-4420).

The updated packages have been patched to correct this issue.


References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4420 http://www.debian.org/security/2014/dsa-2863.en.html


Updated Packages:

Mandriva Enterprise Server 5: 9c41216c3e2a51a66b92fac79f24145e mes5/i586/libtar-1.2.11-8.2mdvmes5.2.i586.rpm b3c2c7a0f5b6485cef4cea7b3a1260eb mes5/i586/libtar-devel-1.2.11-8.2mdvmes5.2.i586.rpm 394c02d53c5ed8aee4ba0120c8c323f4 mes5/SRPMS/libtar-1.2.11-8.2mdvmes5.2.src.rpm

Mandriva Enterprise Server 5/X86_64: 789f1f0d19a70b6270524ae75f82605b mes5/x86_64/libtar-1.2.11-8.2mdvmes5.2.x86_64.rpm 5c599c305977157852f7671e41705f46 mes5/x86_64/libtar-devel-1.2.11-8.2mdvmes5.2.x86_64.rpm 394c02d53c5ed8aee4ba0120c8c323f4 mes5/SRPMS/libtar-1.2.11-8.2mdvmes5.2.src.rpm

Mandriva Business Server 1/X86_64: f61a5b919d27fba85205633da3703b17 mbs1/x86_64/libtar-1.2.11-11.2.mbs1.x86_64.rpm 3e6b2e5a5567eb957c7046314788078e mbs1/x86_64/libtar-devel-1.2.11-11.2.mbs1.x86_64.rpm 707c993007a990897d2d85c8a6bdbfd0 mbs1/SRPMS/libtar-1.2.11-11.2.mbs1.src.rpm


To upgrade automatically use MandrivaUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/en/support/security/advisories/

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com


Type Bits/KeyID Date User ID pub 1024D/22458A98 2000-07-10 Mandriva Security Team <security*mandriva.com> -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFTBdUpmqjQ0CJFipgRApKoAKCJMXlB/e7LqDlULfkA4kwaOj5E8ACeLK8A aWsYArQaT0C7Fv83WQrmS6g= =gxwI -----END PGP SIGNATURE-----